GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Need help running G/Q/ZDoom/ECWolf/Zandronum/3DGE? Did your computer break? Ask here.

Moderator: GZDoom Developers

ConfusedApe
Posts: 1
Joined: Thu Dec 23, 2021 12:32 pm
Graphics Processor: Intel with Vulkan Support

GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by ConfusedApe »

I have tried many versions, including the most recent, and I am using the same mods on all versions, but only 3.6.0 is reliable. The problem that I have is the same for all other versions, regardless of the mod running, that come after 3.6.0: the screen freezes, but the game is still running in the background, as I can hear the demon spawn filth shooting and burning me as I run around, completely blind. What changed after 3.6.0 x64? Tons of stuff, duh! What is the pertinent question here? I'm screaming! Somebody, feed me a banana!
User avatar
wildweasel
Moderator Team Lead
Posts: 21383
Joined: Tue Jul 15, 2003 7:33 pm
Preferred Pronouns: He/Him
Graphics Processor: nVidia with Vulkan support

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by wildweasel »

What are your hardware specs?
User avatar
Redneckerz
Spotlight Team
Posts: 970
Joined: Mon Nov 25, 2019 8:54 am
Discord: Redneckerz#8399
Graphics Processor: Intel (Modern GZDoom)

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by Redneckerz »

wildweasel wrote:What are your hardware specs?
Moreover, what mod is attempted to run if any?

I can report that GLOOME, which is basically glorified GZDoom 1.8.10 works fine on W10x64. I can also report that even hella hold XMas99, based off ZDoom 1.x, also runs fine for the most part (Small tweaking is needed to remove the LSD).
User avatar
drfrag
Vintage GZDoom Developer
Posts: 3110
Joined: Fri Apr 23, 2004 3:51 am
Discord: drfrag#3555
Github ID: drfrag666
Location: Spain

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by drfrag »

Must be a problem with intel graphics.
User avatar
Graf Zahl
Lead GZDoom+Raze Developer
Lead GZDoom+Raze Developer
Posts: 47988
Joined: Sat Jul 19, 2003 10:19 am
Location: Germany

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by Graf Zahl »

Redneckerz wrote:
wildweasel wrote:What are your hardware specs?
Moreover, what mod is attempted to run if any?

I can report that GLOOME, which is basically glorified GZDoom 1.8.10 works fine on W10x64. I can also report that even hella hold XMas99, based off ZDoom 1.x, also runs fine for the most part (Small tweaking is needed to remove the LSD).

So? That info is perfectly useless in finding out why GZDoom 3.6 is not working.
User avatar
Redneckerz
Spotlight Team
Posts: 970
Joined: Mon Nov 25, 2019 8:54 am
Discord: Redneckerz#8399
Graphics Processor: Intel (Modern GZDoom)

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by Redneckerz »

Graf Zahl wrote: So? That info is perfectly useless in finding out why GZDoom 3.6 is not working.
Never a dull moment with you Graf. What i am saying with that is that these older versions work perfectly as is on a W10 system, as does 4.7.1.

But for your entertainment i have just checked 3.6.0 x64 on W10 aswell. Works perfectly fine. And lets also check out 3.7.0, since the OP mentions that versions after 3.6.0 don't work. Works fine aswell.

Core i5-4590t
16 GB DDR3
Intel HD4600
User avatar
Graf Zahl
Lead GZDoom+Raze Developer
Lead GZDoom+Raze Developer
Posts: 47988
Joined: Sat Jul 19, 2003 10:19 am
Location: Germany

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by Graf Zahl »

Of course it works perfectly fine. But the OP got a problem with versions *after* 3.6.0, so telling him that this much older version is working is pretty much useless.
User avatar
Rachael
Admin
Posts: 12898
Joined: Tue Jan 13, 2004 1:31 pm
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Preferred Pronouns: She/Her

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by Rachael »

drfrag wrote:Must be a problem with intel graphics.
Probably this.

And if so - there's nothing we can do about it. viewtopic.php?f=50&t=70121
User avatar
Redneckerz
Spotlight Team
Posts: 970
Joined: Mon Nov 25, 2019 8:54 am
Discord: Redneckerz#8399
Graphics Processor: Intel (Modern GZDoom)

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by Redneckerz »

Graf Zahl wrote:Of course it works perfectly fine. But the OP got a problem with versions *after* 3.6.0, so telling him that this much older version is working is pretty much useless.
Speaking of unneeded/unwarranted :lol:
Redneckerz wrote:And lets also check out 3.7.0, since the OP mentions that versions after 3.6.0 don't work. Works fine aswell.
On top of that i also tested two subsequent versions:
* 3.7.2: Works fine
* 4.1.0: Works fine

Both x64 versions.
User avatar
Rachael
Admin
Posts: 12898
Joined: Tue Jan 13, 2004 1:31 pm
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Preferred Pronouns: She/Her

Re: GZDoom Versions After 3.6.0 x64 Will Not Work Poperly.

Post by Rachael »

OP asks for help. Seems frustrated.

Return to “Technical Issues”